import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:lottie/lottie.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/text.dart';

import '../../../../common/const/const.dart';
import '../../../../common/widgets/header_screen.dart';
import '../widgets/notification.dart';

class NotificationScreen extends StatelessWidget {
  const NotificationScreen({super.key});
  //dummy
  final int count = 0;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.backGroundColor,
      body: SingleChildScrollView(
        child: Column(
          children: [
            HeaderScreen("notifications".tr)
                // Row(
                //   children: [
                //     SvgPicture.asset(
                //       "assets/icons/arrow-left.svg",
                //     ).onTap(() {
                //       RoutingManager.back();
                //     }),
                //     BoldTextWidget(
                //       "Notification",
                //       fontSize: 18,
                //       color: AppColors.textColor,
                //     ).paddingSymmetric(horizontal: 10),
                //   ],
                // )
                .paddingOnly(
              top: 40,
            ),
            if (count == 0)
              Column(
                children: [
                  Lottie.asset(
                    'assets/animations/folder.json',
                    repeat: false,
                  ),
                  RegularTextWidget(
                      'There are no notifications to display at this time.'.tr)
                ],
              ),
            if (count != 0)
              ListView.separated(
                  physics: const NeverScrollableScrollPhysics(),
                  shrinkWrap: true,
                  itemBuilder: (BuildContext context, index) {
                    return const NotificationWidget();
                  },
                  separatorBuilder: (BuildContext context, index) {
                    return Divider(
                      color: AppColors.dividerColor,
                      thickness: 1,
                    ).paddingSymmetric(horizontal: 20);
                  },
                  itemCount: count)
          ],
        ).paddingSymmetric(horizontal: 20),
      ).makeSafeArea(),
    );
  }
}
